<?xml version='1.0' encoding='ISO-8859-1' ?>

<!-- ***** BEGIN LICENSE BLOCK *****
 
  The contents of this file are subject to the Mozilla Public License
  Version 1.1 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.mozilla.org/MPL/
 
  Software distributed under the License is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
  for the specific language governing rights and limitations under the
  License.
 
  Alternatively, the contents of this file may be used under the terms of
  either the GNU General Public License Version 2 or later (the "GPL"), or
  the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
  in which case the provisions of the GPL or the LGPL are applicable instead
  of those above. If you wish to allow use of your version of this file only
  under the terms of either the GPL or the LGPL, and not to allow others to
  use your version of this file under the terms of the NPL, indicate your
  decision by deleting the provisions above and replace them with the notice
  and other provisions required by the GPL or the LGPL. If you do not delete
  the provisions above, a recipient may use your version of this file under
  the terms of any one of the NPL, the GPL or the LGPL.
 
  **** END LICENSE BLOCK **** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
<xsl:output method="html" doctype-public="--//W3C//DTD HTML 4.0 Transitional//EN" />

<xsl:template match="/bookshelf">

	<html><head><title>Phonebook</title>
	<style type="text/css"><!--
	a	{ text-decoration:none; color:blue; }
	a:hover	{ text-decoration:none; background-color:blue; color:white; }
	body	{ background-color:lavender; font-size:small; }
	--></style>
	</head><body style="background-color:lavender; font-size:small;">

	<div align="center">
		<xsl:apply-templates select="phonebook"/>
	</div></body></html>

</xsl:template>



<xsl:template match="phonebook">

	<h2 align="center"><xsl:value-of select="@title"/></h2>
	<TABLE border="1" cellpadding="2" cellspacing="0">
		<TR style="background-color:white; color:darkblue;">
		<TH>-</TH>
		<TH>Firma</TH>
		<TH>Nachname</TH>
		<TH>Vorname</TH>
		<TH><img src="img/phone.gif" title="Phone" alt="Phone"/></TH>
		<TH><img src="img/handy.jpg" title="Handy" alt="Handy"/></TH>
		<TH><img src="img/email.gif" title="eMail" alt="eMail"/></TH>
		</TR>

		<xsl:for-each select="entry">
			<xsl:sort select="firma"/>
			<xsl:sort select="name"/>
			<xsl:apply-templates select="."/>
		</xsl:for-each>

	</TABLE>

</xsl:template>



<xsl:template match="entry">

	<TR><xsl:attribute name="style">background-color:white;
	</xsl:attribute>

	<TD><xsl:number/></TD>

	<TD><b><xsl:value-of select="firma"/></b></TD>

	<TD><xsl:value-of select="name"/></TD>

	<TD><xsl:value-of select="vorname"/></TD>

	<TD><a>
	<xsl:attribute name="href">tel:<xsl:value-of select="phone"/>
	</xsl:attribute>
	<xsl:attribute name="title"><xsl:value-of select="phone"/>
	</xsl:attribute>
	<xsl:value-of select="phone"/>
	</a></TD>

	<TD><a>
	<xsl:attribute name="href">tel:<xsl:value-of select="handy"/>
	</xsl:attribute>
	<xsl:attribute name="title"><xsl:value-of select="handy"/>
	</xsl:attribute>
	<xsl:value-of select="handy"/>
	</a></TD>

	<TD><a>
	<xsl:attribute name="href">mailto:<xsl:value-of select="email"/>
	</xsl:attribute>
	<xsl:attribute name="title"><xsl:value-of select="email"/>
	</xsl:attribute>
	<xsl:value-of select="email"/>
	</a></TD>

	</TR>

</xsl:template>



</xsl:stylesheet>
